# class RSS::Maker::XMLStyleSheets::XMLStyleSheet

### Public Instance Methods

to_feed(feed) click to toggle source

    # File lib/rss/maker/base.rb, line 469
    def to_feed(feed)
      xss = ::RSS::XMLStyleSheet.new
      guess_type_if_need(xss)
      set = setup_values(xss)
      if set
        feed.xml_stylesheets << xss
      end
    end

### Private Instance Methods

guess_type_if_need(xss) click to toggle source

    # File lib/rss/maker/base.rb, line 479
    def guess_type_if_need(xss)
      if @type.nil?
        xss.href = @href
        @type = xss.type
      end
    end

required_variable_names() click to toggle source

    # File lib/rss/maker/base.rb, line 486
    def required_variable_names
      %w(href type)
    end